## tupi 0.1+git12

=== configure.tests/aspell/Makefile ===
#############################################################################
# Makefile for building: aspell
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sat Dec 31 18:25:09 2011
# Project:  aspell.pro
# Template: app
# Command: /usr/bin/qmake LIBS\ +=\ -L/usr/lib64\ \ -laspell -o Makefile aspell.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -L/usr/lib64 -laspell -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		aspell.pro
QMAKE_TARGET  = aspell
DESTDIR       = 
TARGET        = aspell

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: aspell.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) LIBS\ +=\ -L/usr/lib64\ \ -laspell -o Makefile aspell.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) LIBS\ +=\ -L/usr/lib64\ \ -laspell -o Makefile aspell.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aspell1.0.0 || $(MKDIR) .tmp/aspell1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aspell1.0.0/ && $(COPY_FILE) --parents main.cpp .tmp/aspell1.0.0/ && (cd `dirname .tmp/aspell1.0.0` && $(TAR) aspell1.0.0.tar aspell1.0.0 && $(COMPRESS) aspell1.0.0.tar) && $(MOVE) `dirname .tmp/aspell1.0.0`/aspell1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aspell1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== configure.tests/ffmpeg/Makefile ===
#############################################################################
# Makefile for building: ffmpeg
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sat Dec 31 18:25:10 2011
# Project:  ffmpeg.pro
# Template: app
# Command: /usr/bin/qmake LIBS\ +=\ -L/usr/lib64\ \ -lavcodec\ -lavformat -o Makefile ffmpeg.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -D__STDC_CONSTANT_MACROS -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -L/usr/lib64 -lavformat -lavcodec -lavutil -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		ffmpeg.pro
QMAKE_TARGET  = ffmpeg
DESTDIR       = 
TARGET        = ffmpeg

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ffmpeg.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) LIBS\ +=\ -L/usr/lib64\ \ -lavcodec\ -lavformat -o Makefile ffmpeg.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) LIBS\ +=\ -L/usr/lib64\ \ -lavcodec\ -lavformat -o Makefile ffmpeg.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ffmpeg1.0.0 || $(MKDIR) .tmp/ffmpeg1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ffmpeg1.0.0/ && $(COPY_FILE) --parents main.cpp .tmp/ffmpeg1.0.0/ && (cd `dirname .tmp/ffmpeg1.0.0` && $(TAR) ffmpeg1.0.0.tar ffmpeg1.0.0 && $(COMPRESS) ffmpeg1.0.0.tar) && $(MOVE) `dirname .tmp/ffmpeg1.0.0`/ffmpeg1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ffmpeg1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== configure.tests/opengl/Makefile ===
#############################################################################
# Makefile for building: opengl
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sat Dec 31 18:25:11 2011
# Project:  opengl.pro
# Template: app
# Command: /usr/bin/qmake LIBS\ +=\ -L/usr/lib64\ \  -o Makefile opengl.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I. -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -L/usr/X11R6/lib64 -L/usr/lib64 -lQtOpenGL -lQtGui -lQtCore -lGLU -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		opengl.pro
QMAKE_TARGET  = opengl
DESTDIR       = 
TARGET        = opengl

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: opengl.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtOpenGL.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) LIBS\ +=\ -L/usr/lib64\ \  -o Makefile opengl.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtOpenGL.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) LIBS\ +=\ -L/usr/lib64\ \  -o Makefile opengl.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/opengl1.0.0 || $(MKDIR) .tmp/opengl1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/opengl1.0.0/ && $(COPY_FILE) --parents main.cpp .tmp/opengl1.0.0/ && (cd `dirname .tmp/opengl1.0.0` && $(TAR) opengl1.0.0.tar opengl1.0.0 && $(COMPRESS) opengl1.0.0.tar) && $(MOVE) `dirname .tmp/opengl1.0.0`/opengl1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/opengl1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
tupi (0.1+git12-6) unstable; urgency=low

  * new patch for ruby1.9 compatibility (Closes: #676121)
  * removed '©' characters from debian/copyright
  * debian source compression to '.xz'
  * DM-Upload-Allowed: yes! (Thanks to Aron Xu)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 05 Jun 2012 11:48:56 +1000

tupi (0.1+git12-5) unstable; urgency=low

  * [patch] desktop icon replaced with smaller one
    (Closes: #660933 "too big menu icon makes menu very slow")
  * [patch] "Encoding=UTF-8" removed from .desktop file (lintianisation)
  * d-control: standards to current 3.9.3
  * d-copyright: DEP-5 URL is updated

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 01 Mar 2012 21:30:59 +1100

tupi (0.1+git12-4) unstable; urgency=low

  * Fix upgrade for versions prior to 0.1+git12-3 by adding Breaks/Replaces
    (Closes: #660329 "Conflicts/Replaces missing in tupi-data")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 18 Feb 2012 23:49:29 +1100

tupi (0.1+git12-3) unstable; urgency=medium

  * patch for FTBFS on arm(el|hf), thanks to peter green
    (Closes: #658422 "FTBFS on armel and armhf")
  * patch to fix path-to-executable in crash handler
  * new tupi-dbg package
  * compat & debhelper to version 9
  * debian/rules:
    + give '-silent' to lupdate
    + print LDFLAGS
    + --with-debug

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 03 Feb 2012 23:58:56 +1100

tupi (0.1+git12-2) unstable; urgency=low

  * corrected binary installation path argument for 'configure' script
  * added symbolic link for crash handler (fixes relaunch button)
  * added symbolic link for examples (sample project)
  * qt4-linguist-tools added to Build-Depends
  * debian/rules
    + remove .qm files by clean rule
    + regenerate .qm files (translation binaries) during build
    + refreshing .ts files (translation sources) during build
    + updated get-orig-source
  * fixed de_DE translation (Closes: #657427 "Crash with LANG="de_DE.UTF-8")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 25 Jan 2012 23:53:15 +1100

tupi (0.1+git12-1) unstable; urgency=low

  * Debian release. (Closes: #650734, #619741)
  * New upstream release (2012-01-01)
  * debian/control:
    + Replaces: ktoon
    + Long description kindly provided by upstream
  * debian/rules
    + clean autogenerated files
    + provide LDFLAGS / --as-needed to avoid needless linking
  * debian/copyright: reformatting & update
  * debian/ cleanup
  * patch to fix FTBFS with libav-0.8
     (thanks to Gustav Gonzalez)
  * data separated into tupi-data package
     (as suggested by Aron Xu)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 12 Jan 2012 14:49:46 +1100

tupi (0.1+git11-1) UNRELEASED; urgency=low

  * New upstream release (2011-11-28)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 29 Nov 2011 01:25:10 +0200

=== debian/control ===
Source: tupi
Section: graphics
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9), ruby (>= 4.9), perl, qt4-qmake (>= 4.7.3)
 ,imagemagick
 ,qt4-linguist-tools,
 ,libaspell-dev (>= 0.60.7~)
 ,libavformat-dev (>= 0.7.3)
 ,libavutil51 (>= 0.7.3),
 ,libqt4-opengl-dev (>= 4.7.3)
 ,zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.maefloresta.com/portal
DM-Upload-Allowed: yes

Package: tupi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, tupi-data (= ${source:Version})
Replaces: ktoon
Description: 2D Animation design and authoring tool
 Tupi: 2D Magic is a design and authoring tool for digital artists interested
 in 2D Animation, offering an interface experience focused on 8-100 years old
 kids. It's source code is based on the KTooN project.
 .
 Some of its main features are: basic illustration tools (shapes, fill, text),
 gradient tools, onion skin, brushes editor, pencil with smoothness support,
 basic object library (for svg files and raster images) and many others.
 .
 Using its modules of Animation and Reproduction you can export 2D projects
 to several formats as OGG, MPEG, AVI, MOV and SWF. Additionally, the
 option of exporting Image arrays as output is available.

Package: tupi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: tupi (<< 0.1+git12-3)
Breaks: tupi (<< 0.1+git12-3)
Description: Data files for tupi (2D Animation design and authoring tool)
 Tupi: 2D Magic is a design and authoring tool for digital artists interested
 in 2D Animation, offering an interface experience focused on 8-100 years old
 kids. It's source code is based on the KTooN project.
 .
 Some of its main features are: basic illustration tools (shapes, fill, text),
 gradient tools, onion skin, brushes editor, pencil with smoothness support,
 basic object library (for svg files and raster images) and many others.
 .
 Using its modules of Animation and Reproduction you can export 2D projects
 to several formats as OGG, MPEG, AVI, MOV and SWF. Additionally, the
 option of exporting Image arrays as output is available.
 .
 This package contains tupi's arch-independent files.

Package: tupi-dbg
Section: debug
Priority: extra
Architecture: any
Depends: tupi (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for tupi (2D Animation design and authoring tool)
 Tupi: 2D Magic is a design and authoring tool for digital artists interested
 in 2D Animation, offering an interface experience focused on 8-100 years old
 kids. It's source code is based on the KTooN project.
 .
 Some of its main features are: basic illustration tools (shapes, fill, text),
 gradient tools, onion skin, brushes editor, pencil with smoothness support,
 basic object library (for svg files and raster images) and many others.
 .
 Using its modules of Animation and Reproduction you can export 2D projects
 to several formats as OGG, MPEG, AVI, MOV and SWF. Additionally, the
 option of exporting Image arrays as output is available.
 .
 This package contains debugging symbols needed for debugging tupi.

#Package: tupi-dev
#Section: devel
#Architecture: all
#Depends: ${misc:Depends}
#Description: Development files for tupi (2D Animation design and authoring tool)
# Tupi: 2D Magic is a design and authoring tool for digital artists interested
# in 2D Animation, offering an interface experience focused on 8-100 years old
# kids. It's source code is based on the KTooN project.
# .
# Some of its main features are: basic illustration tools (shapes, fill, text),
# gradient tools, onion skin, brushes editor, pencil with smoothness support,
# basic object library (for svg files and raster images) and many others.
# .
# Using its modules of Animation and Reproduction you can export 2D projects
# to several formats as OGG, MPEG, AVI, MOV and SWF. Additionally, the
# option of exporting Image arrays as output is available.
# .
# This package contains development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PDIR     := $(CURDIR)/debian/tupi
QM_FILES := $(patsubst %.ts, %.qm, $(wildcard src/shell/data/translations/*.ts))

export LFLAGS= -Wl,--as-needed $(LDFLAGS)
$(info LFLAGS=$(LFLAGS))

%:
	dh $@

$(QM_FILES):
	# rebuild translations
	lupdate tupi.pro -locations none -silent -ts $(@:.qm=.ts)
	lrelease $(@:.qm=.ts)

override_dh_auto_clean:
	# remove pre-generated binaries
	cd configure.tests \
	&& for dir in opengl ffmpeg aspell; do $(RM) $$dir/$$dir $$dir/*.o $$dir/Makefile; done
	$(RM) launcher/tupi launcher/tupi.desktop $(QM_FILES)
	# fix wrong upstream permissions
	chmod -R a-x+X . \
	&& chmod +x configure debian/rules
	dh_auto_clean

override_dh_auto_configure: $(QM_FILES)
	# arch-dependent patching
	cat debian/patches/series.$(DEB_HOST_ARCH_OS) >> debian/patches/series \
	&& $(RM) debian/patches/series.$(DEB_HOST_ARCH_OS) \
	&& dh_quilt_patch || return 0
	# override qonf/defaults.rb
	ruby configure.rb --debian-build=1 \
                      --with-debug \
                      --prefix=$(PDIR)/usr \
                      --bindir=$(PDIR)/usr/lib/tupi/bin \
                      --libdir=$(PDIR)/usr/lib/tupi \
                      --sharedir=$(PDIR)-data/usr/share/tupi \
                      --includedir=$(PDIR)-dev/usr/include/tupi
	# force qmake-generated Makefiles to respect dpkg-provided flags
	perl -pi -e 'local $$/; $$_=<>; s{((CX?X?|L)FLAGS\s*)=}{$$1+=}g;' `find . -name Makefile`

override_dh_auto_install:
	dh_auto_install
	$(RM) $(PDIR)/usr/share/man/man1/tupi.1.gz
	mv $(PDIR)/usr/lib/tupi/tupi/plugins/* $(PDIR)/usr/lib/tupi/plugins/ \
	&& $(RM) -r $(PDIR)/usr/lib/tupi/tupi
	convert launcher/icons/tupi_32x32.png $(PDIR)/usr/share/pixmaps/tupi_32x32.xpm
	# patch the launcher for the correct paths
	mkdir "$(PDIR)/usr/bin" && mv "$(PDIR)/usr/lib/tupi/bin/tupi" "$(PDIR)/usr/bin/"
	perl -pi -e 's{(/usr/lib)(?!/tupi)}{$$1/tupi}g; s{(export\s+TUPI_INCLUDE)}{#$$1}; s{/usr/bin}{/usr/lib/tupi/bin};' $(PDIR)/usr/bin/tupi
	# wipe empty dirs, if any
	find $(PDIR) -type d -empty -delete

override_dh_shlibdeps:
	LD_LIBRARY_PATH="$(PDIR)/usr/lib/tupi:$(PDIR)/usr/lib/tupi/plugins:$(LD_LIBRARY_PATH)" dh_shlibdeps

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_strip:
	dh_strip -v --dbg-package=tupi-dbg

get-orig-source:
	uscan --noconf --verbose --force-download --rename --repack --destdir=. --download-current-version

=== debian/watch ===
# Run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/\-git/\+git/ \
http://download.berlios.de/tupi/ tupi_([\d\-\.git]+)\.tar\.gz

## tupi 0.2%2Bgit06

=== configure.tests/opengl/Makefile ===
#############################################################################
# Makefile for building: opengl
# Generated by qmake (3.0) (Qt 5.5.1)
# Project:  opengl.pro
# Template: app
# Command: /home/xtingray/Qt/5.5/gcc_64/bin/qmake -o Makefile opengl.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I. -I. -I/home/xtingray/Qt/5.5/gcc_64/include -I/home/xtingray/Qt/5.5/gcc_64/include/QtOpenGL -I/home/xtingray/Qt/5.5/gcc_64/include/QtWidgets -I/home/xtingray/Qt/5.5/gcc_64/include/QtGui -I/home/xtingray/Qt/5.5/gcc_64/include/QtCore -I. -I/home/xtingray/Qt/5.5/gcc_64/mkspecs/linux-g++
QMAKE         = /home/xtingray/Qt/5.5/gcc_64/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = opengl1.0.0
DISTDIR = /home/xtingray/tupi/sources/tupi/configure.tests/opengl/.tmp/opengl1.0.0
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/home/xtingray/Qt/5.5/gcc_64 -Wl,-rpath,/home/xtingray/Qt/5.5/gcc_64/lib
LIBS          = $(SUBLIBS) -L/home/xtingray/Qt/5.5/gcc_64/lib -lQt5OpenGL -L/usr/lib64 -lQt5Widgets -lQt5Gui -lQt5Core -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /home/xtingray/Qt/5.5/gcc_64/mkspecs/features/spec_pre.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/unix.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/linux.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/sanitize.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/gcc-base.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/gcc-base-unix.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/g++-base.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/common/g++-unix.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/qconfig.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dcollision.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dcollision_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dcore.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dcore_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dinput.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dinput_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dlogic.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dlogic_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dquick.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dquick_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dquickrenderer.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3dquickrenderer_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3drenderer.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_3drenderer_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_bluetooth.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_bluetooth_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_clucene_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_concurrent.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_concurrent_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_core.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_core_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_dbus.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_dbus_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_declarative.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_declarative_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_designer.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_designer_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_designercomponents_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_enginio.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_enginio_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_gui.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_gui_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_help.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_help_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_location.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_location_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_multimedia.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_multimedia_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_multimediawidgets_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_network.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_network_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_nfc.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_nfc_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_opengl.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_opengl_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_openglextensions.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_platformsupport_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_positioning.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_positioning_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_printsupport.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_printsupport_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_qml.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_qml_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_qmldevtools_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_qmltest.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_qmltest_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_quick.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_quick_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_quickparticles_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_quickwidgets.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_quickwidgets_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_script.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_script_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_scripttools.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_scripttools_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_sensors.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_sensors_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_serialport.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_serialport_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_sql.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_sql_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_svg.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_svg_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_testlib.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_testlib_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_uiplugin.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_uitools.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_uitools_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webchannel.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webchannel_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webengine.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webengine_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webenginecore.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webenginecore_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webenginewidgets.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webenginewidgets_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webkit.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webkit_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webkitwidgets.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webkitwidgets_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_websockets.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_websockets_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_webview_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_widgets.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_widgets_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_x11extras.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_x11extras_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_xcb_qpa_lib_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_xml.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_xml_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_xmlpatterns.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/modules/qt_lib_xmlpatterns_private.pri \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/qt_functions.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/qt_config.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/linux-g++/qmake.conf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/spec_post.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/exclusive_builds.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/default_pre.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/resolve_config.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/default_post.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/warn_on.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/qt.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/resources.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/moc.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/unix/opengl.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/uic.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/unix/thread.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/testcase_targets.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/exceptions.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/yacc.prf \
		/home/xtingray/Qt/5.5/gcc_64/mkspecs/features/lex.prf \
		opengl.pro  main.cpp
QMAKE_TARGET  = opengl
TARGET        = opengl


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"
